'\" t
.\"     Title: yp.conf
.\"    Author: [see the "AUTHOR" section]
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 12/30/2020
.\"    Manual: ypbind-mt
.\"    Source: ypbind-mt
.\"  Language: English
.\"
.TH "YP\&.CONF" "5" "12/30/2020" "ypbind-mt" "ypbind\-mt"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
yp.conf \- NIS binding configuration file
.SH "DESCRIPTION"
.PP
The file
/etc/yp\&.conf
is read from
\fBypbind\fR(8)
at startup or when receiving signal SIGHUP\&. The entries are used for the initial binding\&. Valid entries are
.PP
\fBdomain\fR \fInisdomain\fR \fBserver\fR \fIhostname\fR
.RS 4
Use server
\fIhostname\fR
for the domain
\fInisdomain\fR\&. You could have more then one entry of this type for a single domain\&.
.RE
.PP
\fBdomain\fR \fInisdomain\fR \fBbroadcast\fR
.RS 4
Use broadcast on the local net for domain
\fInisdomain\fR\&.
.RE
.PP
\fBypserver\fR \fIhostname\fR
.RS 4
Use server
\fIhostname\fR
for the local domain\&.
.RE
.PP
\fBbroadcast\fR
.RS 4
If no other server is given or all of them are not reachable, try a broadcast call for the default domain to find a server\&.
.RE
.PP
\fIhostname\fR
can either be an IP address or the system\*(Aqs DNS name\&. If it is the system\*(Aqs DNS name, this name needs to be resolveable without the help of NIS, before NIS is used\&.
.PP
If for a specific domain the broadcast option and fixed server are given,
\fBypbind\-mt\fR
tries at first the given servers before falling back to broadcasting for a running server\&.
.SH "SEE ALSO"
.PP
\fBypbind\fR(8)
.SH "AUTHOR"
.PP
\fBypbind\-mt\fR
was written by Thorsten Kukuk <kukuk@thkukuk\&.de>\&.
